Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QMimeSource Class Reference

The QMimeSource class is an abstraction of objects which provide formatted data of a certain MIME type. More...

`#include <qmime.h>`

Inherited by QDragObject and QDropEvent.

List of all member functions.

## Public Members

- QMimeSource ()
- virtual ~QMimeSource ()
- virtual const char * format ( int i = 0 ) const = 0
- virtual bool provides ( const char * mimeType ) const
- virtual QByteArray encodedData ( const char * ) const = 0
- int serialNumber () const

## Detailed Description

The QMimeSource class is an abstraction of objects which provide formatted data of a certain MIME type.

Drag-and-drop and clipboard use this abstraction.

See also IANA list of MIME media types, Drag And Drop Classes, Input/Output and Networking and Miscellaneous Classes.

## Member Function Documentation

### QMimeSource::QMimeSource ()

Constructs a mime source and assigns a globally unique serial number to it.

See also serialNumber().

### QMimeSource::~QMimeSource ()`[virtual]`

Provided to ensure that subclasses destroy themselves correctly.

### QByteArray QMimeSource::encodedData ( const char * ) const`[pure virtual]`

Returns the encoded data of this object in the specified MIME format.

Subclasses must reimplement this function.

Reimplemented in QStoredDrag, QDropEvent and QIconDrag.

### const char * QMimeSource::format ( int i = 0 ) const`[pure virtual]`

Returns the i-th supported MIME format, or 0.

Example: fileiconview/qfileiconview.cpp.

Reimplemented in QDropEvent.

### bool QMimeSource::provides ( const char * mimeType ) const`[virtual]`

Returns TRUE if the object can provide the data in format mimeType; otherwise returns FALSE.

If you inherit from QMimeSource for consistency reasons it is better to implement the more abstract canDecode() functions such as QTextDrag::canDecode() and QImageDrag::canDecode().

Example: iconview/simple_dd/main.cpp.

Reimplemented in QDropEvent.

### int QMimeSource::serialNumber () const

Returns the globally unique serial number of the mime source

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.